public interface USBInterface{    /* USB接口 */
  public void transportData();   
}

abstract class Printer implements USBInterface{   /* 打印机 */
  public abstract void print();
}

class InkjetPrinter extends Printer{  /* 喷墨打印机 */
  public void transportData(){}  
  public void print(){}    
      
} 
class LaserPrinter extends Printer{ /* 激光打印机 */
  public void transportData(){}  
  public void print(){}    
}


abstract class Camera {  /* 照相机 */
  public abstract void takePhoto();
}

class DigitalCamera extends Camera implements USBInterface{ /*  数码照相机 */
  public void transportData(){}  
  public void takePhoto(){}

}
class FilmCamera extends Camera{ /* 胶片照相机 */
  public void transportData(){}  
  public void takePhoto(){}
}
